Closed Bug 470241 Opened 11 years ago Closed 11 years ago

[Firefox] test_bug248970_cache.js leaks

Categories

(Core :: Networking, defect)

defect
Not set

Tracking

()

RESOLVED FIXED
mozilla1.9.2a1

People

(Reporter: sgautherie, Assigned: sgautherie)

References

(Blocks 1 open bug, )

Details

(Keywords: fixed1.9.1, memory-leak, regression, Whiteboard: [Fixed by tracemonkey: comment 3 & 8])

Attachments

(1 file)

_tests\xpcshell-simple\test_necko\unit
test_bug248970_cache.js

See bug 456414.

NB: This test leak in Firefox but not in SeaMonkey, but maybe it doesn't run everything there ?
Flags: wanted1.9.1?
Depends on: 469523
No longer depends on: 456414
Confirmed by
{
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1238194568.1238198358.30316.gz&fulltext=1
OS X 10.5.2 mozilla-central unit test on 2009/03/27 15:56:08
}
OS: Windows 2000 → All
Confirmed by
{
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1238257035.1238263072.12813.gz&fulltext=1
Linux mozilla-1.9.1 unit test on 2009/03/28 09:17:15
}
Still leaked:
{
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1239087413.1239095937.15732.gz&fulltext=1
Linux mozilla-central unit test on 2009/04/06 23:56:53
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1239087413.1239090686.26510.gz&fulltext=1
OS X 10.5.2 mozilla-central unit test on 2009/04/06 23:56:53
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1239087413.1239095430.13224.gz&fulltext=1
WINNT 5.2 mozilla-central unit test on 2009/04/06 23:56:53
}

Don't leak anymore:
{
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1239088258.1239095493.13809.gz&fulltext=1
Linux mozilla-central unit test on 2009/04/07 00:10:58
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1239088257.1239094464.9642.gz&fulltext=1
OS X 10.5.2 mozilla-central unit test on 2009/04/07 00:10:57
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1239088257.1239098546.13066.gz&fulltext=1
WINNT 5.2 mozilla-central unit test on 2009/04/07 00:10:57
}

Fix timeframe:
http://hg.mozilla.org/mozilla-central/pushloghtml?startdate=2009-04-06+23%3A53%3A52&enddate=2009-04-07+00%3A07%3A58
10 JavaScript changesets...
Status: NEW → RESOLVED
Closed: 11 years ago
Flags: in-litmus-
Resolution: --- → FIXED
Target Milestone: --- → mozilla1.9.2a1
Blocks: 470235
But regressed between
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1239831803.1239841199.9417.gz&fulltext=1
WINNT 5.2 mozilla-central unit test on 2009/04/15 14:43:23
and
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1239835301.1239848095.19076.gz&fulltext=1
WINNT 5.2 mozilla-central unit test on 2009/04/15 15:41:41

Regression timeframe:
http://hg.mozilla.org/mozilla-central/pushloghtml?startdate=2009-04-15+14%3A08%3A21&enddate=2009-04-15+15%3A21%3A41
Probably one of the 11 JavaScript changesets...
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
sayrer, I'm confused by what happened in the two previous comments, could you confirm whether this leak is a JS Engine bug or not?
Assignee: nobody → sgautherie.bz
Status: REOPENED → ASSIGNED
Attachment #374081 - Flags: review?(sdwilsh)
Attachment #374081 - Flags: review?(sayrer)
(In reply to comment #5)

Ftr, bug 489078 fix gave me the idea to check this...
Hardware: x86 → All
Comment on attachment 374081 [details] [diff] [review]
(Av1) Move a var from local to global
[Checkin: See comment 9 & 10]

I guess this is fine.
Attachment #374081 - Flags: review?(sdwilsh) → review+
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1242284937.1242291296.22866.gz&fulltext=1
WINNT 5.2 mozilla-central unit test on 2009/05/14 00:08:57

Still leaked.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1242287274.1242294566.27893.gz&fulltext=1
WINNT 5.2 mozilla-central unit test on 2009/05/14 00:47:54

Regression leak fixed.

Fix timeframe:
http://hg.mozilla.org/mozilla-central/pushloghtml?startdate=2009-05-14+00%3A05%3A55&enddate=2009-05-14+00%3A44%3A55
2 tracemonkey changesets, as expected.

***

Firefox 3.5 doesn't leak anymore, though I didn't bother to look for the fix timeframe.
Flags: wanted1.9.1?
Whiteboard: [Fixed by tracemonkey: comment 3 & 8]
Status: ASSIGNED → RESOLVED
Closed: 11 years ago11 years ago
Flags: in-litmus- → in-testsuite+
Resolution: --- → FIXED
Comment on attachment 374081 [details] [diff] [review]
(Av1) Move a var from local to global
[Checkin: See comment 9 & 10]


http://hg.mozilla.org/mozilla-central/rev/d5574404f3cc
(Av1a) trivial cleanup
Attachment #374081 - Attachment description: (Av1) Move a var from local to global → (Av1) Move a var from local to global [Checkin: See comment 9]
Attachment #374081 - Flags: review?(sayrer)
Comment on attachment 374081 [details] [diff] [review]
(Av1) Move a var from local to global
[Checkin: See comment 9 & 10]


http://hg.mozilla.org/releases/mozilla-1.9.1/rev/24f007882aff
Attachment #374081 - Attachment description: (Av1) Move a var from local to global [Checkin: See comment 9] → (Av1) Move a var from local to global [Checkin: See comment 9 & 10]
You need to log in before you can comment on or make changes to this bug.